mvoller1
Contributor
Contributor

Fedora 17 3.7.3-101.fc17.x86_64 kernel update & vmware player

Hey everyone,

Just wanted to share any easy answer in case anyone was like me searching for it. Just updated fedora 17 kernel to 3.7.3-101.fc17.x86_64 and it pops up with unable to find the correct kernel-headers in default location, despite have kernel-headers.x86_64 installed for the current kernel.

The missing file was the version.h header file, which I was able to correct by copying the file from the headers rpm install elsewhere via:

cp -rp /usr/src/kernels/3.7.3-101.fc17.x86_64/include/generated/uapi/linux/version.h /usr/src/kernels/3.7.3-101.fc17.x86_64/include/linux/

Hope this helps someone.

~Mike

0 Kudos
17 Replies
ocean_pacific
Contributor
Contributor

Hey,

Same problem here.

Thank you for the solution.

0 Kudos
mvoller1
Contributor
Contributor

Glad I could help.

0 Kudos
hawk0090
Contributor
Contributor

Wow thank you so much for posting this.

I was tearing my hair out trying to figure this out.

worked for me!

0 Kudos
mvoller1
Contributor
Contributor

Like I said, glad I could help. I will have to post more often Smiley Happy

0 Kudos
tapion86
Contributor
Contributor

Gracias amigo, tenia el mismo problema y ahora esta completamente solucionado....:smileylaugh:

0 Kudos
kissanej
Enthusiast
Enthusiast

Thanks a lot, fixed it for me also Smiley Happy

0 Kudos
PCIplayer
Contributor
Contributor

Thanks ! It works for me.

0 Kudos
elgreco81
Expert
Expert

Worked like a charm Smiley Happy Thank you!!!

elgreco81

Please remember to mark as answered this question if you think it is and to reward the persons who helped you giving them the available points accordingly. IT blog in Spanish - http://chubascos.wordpress.com
0 Kudos
joebenson
Contributor
Contributor

Same error, try your fix but still get the missing headers error.

uname -r
3.7.3-101.fc17.x86_64

rpm -qa |grep kernel
kernel-headers-3.7.3-101.fc17.x86_64
libreport-plugin-kerneloops-2.0.18-1.fc17.x86_64
kernel-tools-3.3.4-5.fc17.x86_64
kernel-devel-3.7.3-101.fc17.x86_64
kernel-tools-devel-3.3.4-5.fc17.x86_64
kernel-3.7.3-101.fc17.x86_64
abrt-addon-kerneloops-2.0.18-1.fc17.x86_64

Any other ideas?

0 Kudos
mvoller1
Contributor
Contributor

You need to find the version "C" file and copy it to the dir.

Try the commands:

updatedb -f nfs

locate version.h

When the current kernel version file (should be in the path) shows up, copy it to the same path as my original post did.

If it doesnt work we can do more troubleshooting.

~Mike

Linux Security Analyst

Canadian Government

0 Kudos
vivi874
Contributor
Contributor

Hello Mike,

Can you help me out with Linux.  Iam encountering similar problem when i run VMware player:

Discussion is in the link http://communities.vmware.com/thread/434567?tstart=0

Appreciate your response on this.

Thanks

Vivek

0 Kudos
joebenson
Contributor
Contributor

locate version.h
/usr/include/linux/version.h
/usr/include/linux/dvb/version.h
/usr/lib/vmware/help/player/wwhelp/wwhimpl/version.htm
/usr/lib/vmware/help/workstation/wwhelp/wwhimpl/version.htm
/usr/lib64/perl5/CORE/git_version.h
/usr/share/doc/docbook-style-xsl-1.76.1/doc/common/template.get.refentry.version.html
/usr/share/doc/libxml2-2.7.8/html/html/libxml-xmlversion.html
/usr/src/kernels/3.7.3-101.fc17.x86_64/version.h
/usr/src/kernels/3.7.3-101.fc17.x86_64/include/config/localversion.h
/usr/src/kernels/3.7.3-101.fc17.x86_64/include/config/arch/want/compat/ipc/parse/version.h
/usr/src/kernels/3.7.3-101.fc17.x86_64/include/config/isdn/diversion.h
/usr/src/kernels/3.7.3-101.fc17.x86_64/include/generated/uapi/linux/version.h
/usr/src/kernels/3.7.3-101.fc17.x86_64/include/linux/version.h
/usr/src/kernels/3.7.3-101.fc17.x86_64/include/uapi/linux/dvb/version.h
/usr/src/kernels/3.7.3-101.fc17.x86_64/include/xen/interface/version.h

copied /usr/src/kernels/3.7.3-101.fc17.x86_64/include/generated/uapi/linux/version.h to /usr/src/kernels/3.7.3-101.fc17.x86_64/include/linux/

Same error.

[root@XXXX ~]# diff /usr/src/kernels/3.7.3-101.fc17.x86_64/include/generated/uapi/linux/version.h /usr/src/kernels/3.7.3-101.fc17.x86_64/include/linux/version.h
[root@XXXX ~]# diff /usr/src/kernels/3.7.3-101.fc17.x86_64/version.h /usr/src/kernels/3.7.3-101.fc17.x86_64/include/generated/uapi/linux/version.h
[root@XXXX ~]# diff /usr/src/kernels/3.7.3-101.fc17.x86_64/include/linux/version.h /usr/src/kernels/3.7.3-101.fc17.x86_64/include/generated/uapi/linux/version.h

cat /usr/src/kernels/3.7.3-101.fc17.x86_64/include/generated/uapi/linux/version.h
#define LINUX_VERSION_CODE 198403
#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 😎 + (c))

0 Kudos
PCIplayer
Contributor
Contributor

Works also for the new -102 kernel Smiley Happy

0 Kudos
mvoller1
Contributor
Contributor

Hey all,

I have been away, those who have requested help I will try to respond to in the near future.

In the meantime, with the latest kernel this fix still work. Updated command:

cp -rp /usr/src/kernels/3.7.9-104.fc17.x86_64/include/generated/uapi/linux/version.h /usr/src/kernels/3.7.9-104.fc17.x86_64/include/linux/

~Mike

0 Kudos
mvoller1
Contributor
Contributor

Can you please provide the output from the following commands:

uname -a

&

rpm -qa | grep -i kernel

0 Kudos
mvoller1
Contributor
Contributor

Try updating your locate database:

"updatedb"

and re-runing the locate command, let me know the output and I will try to assist further.

0 Kudos
kissanej
Enthusiast
Enthusiast

You can use this version of the command which will work for any Kernel version:

cp /usr/src/kernels/`uname -r`/include/generated/uapi/linux/version.h /usr/src/kernels/`uname -r`/include/linux/version.h

0 Kudos